#region Author Header
/*
*   You may edit this script for your shard
*   Please do not repost this as your own work
*   Scripter : Torin Darkbane
*   Shard : Owner of Mystical Illusion Shard
*/
#endregion

using System;
using Server.Items;
using Server.Network;

namespace Server.Items
{
	public class WarriorsBag : Bag
	{
		[Constructable]
        public WarriorsBag() : this (1)
		{
            Name = "Survivor's Bag";
            Hue = 937;
            LootType = LootType.Blessed;
        }
		[Constructable]
        public WarriorsBag( int amount )
        {
            DropItem(new Longsword());
            DropItem(new BreadLoaf(2));
            DropItem(new Skillet());
            DropItem(new FishingPole());
            DropItem(new Hatchet());
            DropItem(new Apple(5));
            DropItem(new Bandage(10));
	    DropItem(new TentDeed());
	    DropItem(new Dagger());
		}

        public WarriorsBag(Serial serial)
            : base(serial)
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}